Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi
Class XMIWriter

    java.lang.Object
      org.netbeans.api.xmi.XMIWriter

All Implemented Interfaces:
  javax.jmi.xmi.XmiWriter

    public abstract class XMIWriter

extends Object
implements javax.jmi.xmi.XmiWriter

Base class for enhanced XMI writers.

Constructor Summary
`XMIWriter()`

Method Summary
`abstract XMIOutputConfig` | `getConfiguration()` Returns configuration object of this XMIWriter.
`void` | `write(OutputStream stream, Collection objects, String xmiVersion)` Standard JMI method for writing collection of objects (and transitive closure of their components) an XMI document.
`void` | `write(OutputStream stream, javax.jmi.reflect.RefPackage extent, String xmiVersion)` Standard JMI method for writing content of a package extent into an XMI document.
`abstract void` | `write(OutputStream stream, String uri, Collection objects, String xmiVersion)` Writes specified objects and a transitive closure of their components to an XMI document using the specified output stream and URI.
`abstract void` | `write(OutputStream stream, String uri, javax.jmi.reflect.RefPackage extent, String xmiVersion)` Writes content of the specified package extent to an XMI document using the specified output stream and URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIWriter

    public XMIWriter()

Method Detail

### getConfiguration

    public abstract XMIOutputConfig getConfiguration()

  Returns configuration object of this XMIWriter. Any changes to the returned object will have immediate effect on the XMIWriter's configuration.

### write

    public abstract void write(OutputStream stream,
                               String uri,
                               Collection objects,
                               String xmiVersion)
                        throws IOException

  Writes specified objects and a transitive closure of their components to an XMI document using the specified output stream and URI.

  Parameters:
    `stream` - Output stream that should be used for XMI document generation. If `null`, XMIWriter will try to create a new output stream using the specified URI.
    `uri` - Target URI of the document. When set to `null`, any XMIReferenceProvider registered will be ignored as XMIWriter is not able to determine whether the returned reference points to the same file.
    `objects` - Collection of objects to be serialized into XMI (objects will be serialized recursively including their components).
    `xmiVersion` - Version of XMI to be used for writing.
  Throws:
    `IOException` - Error during XMI production.

### write

    public abstract void write(OutputStream stream,
                               String uri,
                               javax.jmi.reflect.RefPackage extent,
                               String xmiVersion)
                        throws IOException

  Writes content of the specified package extent to an XMI document using the specified output stream and URI.

  Parameters:
    `stream` - Output stream that should be used for XMI document generation. If `null`, XMIWriter will try to create a new output stream using the specified URI.
    `uri` - Target URI of the document. When set to `null`, any XMIReferenceProvider registered will be ignored as XMIWriter is not able to determine whether the returned reference points to the same file.
    `extent` - Package extent to be serialized into XMI.
    `xmiVersion` - Version of XMI to be used for writing.
  Throws:
    `IOException` - Error during XMI production.

### write

    public void write(OutputStream stream,
                      javax.jmi.reflect.RefPackage extent,
                      String xmiVersion)
               throws IOException

  Standard JMI method for writing content of a package extent into an XMI document.

  Specified by:
    `write` in interface `javax.jmi.xmi.XmiWriter`
  Parameters:
    `stream` - Output stream to be used for writing the XMI document.
    `extent` - Package extent to be serialized into XMI document.
    `xmiVersion` - Version of XMI to be produced.
  Throws:
    `IOException` - Error occurred during the production of XMI document.

### write

    public void write(OutputStream stream,
                      Collection objects,
                      String xmiVersion)
               throws IOException

  Standard JMI method for writing collection of objects (and transitive closure of their components) an XMI document.

  Specified by:
    `write` in interface `javax.jmi.xmi.XmiWriter`
  Parameters:
    `stream` - Output stream to be used for writing the XMI document.
    `objects` - Objects to be serialized into XMI document.
    `xmiVersion` - Version of XMI to be produced.
  Throws:
    `IOException` - Error occurred during the production of XMI document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.